<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:ops="utc.fr:ics/opale3/styler" xmlns:java="http://xml.apache.org/xslt/java" xmlns:stx="scenari.eu:styler.ext:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="ops stx sp " >
<xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vSrcNode"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gResolveFragsSet" select="java:java.util.HashSet.new()"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gDicUnitsSet" select="java:java.util.HashSet.new()"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:item">
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:sunrisePOpenOp4">
<copyWspSrcNode refUri="/~data/uvbhtvRbbIhoAKo8wQBRwi.doss"/>
<xsl:apply-templates/>
<xsl:for-each select="xalan:nodeset($gResolveFragsSet)">
<xsl:copy-of select="."/>
</xsl:for-each>
<xsl:variable name="vDicUnitsSetNS" select="xalan:nodeset($gDicUnitsSet)"/>
<localizer startIdentifier="§§" endIdentifier="§§">
<xsl:if test="count($vDicUnitsSetNS)">
<simpleDictionary>
<xsl:for-each select="$vDicUnitsSetNS">
<xsl:copy-of select="."/>
</xsl:for-each>
</simpleDictionary>
</xsl:if>
</localizer>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:css">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="/skin.css" checkAutoMultiRes="true" append="true" appendPreChars="&#10;"/>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText toPath="/skin.css" append="true" appendPreChars="&#10;">
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:propsOpen">
<xsl:variable name="vProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:variable>
<xsl:if test="$vProps">
<xsl:variable name="vPropsNS" select="xalan:nodeset($vProps)"/>
<xsl:for-each select="$vPropsNS/*[@value or @defaultValue]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="''"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
</xsl:call-template>
</xsl:variable>
<xsl:variable name="vUnitTag">
<unit source="{@key}" target="{$vValue}"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gDicUnitsSet, $vUnitTag))"/>
</xsl:for-each>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:res">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="/res" checkAutoMultiRes="false" append="false" appendPreChars="&#10;"/>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:addFile">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<xsl:variable name="vSrcUri" select="java:com.scenari.src.feature.ids.SrcFeatureIds.getRefUri(resolveSrcPath(@sc:refUri))"/>
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" checkAutoMultiRes="true">
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:attribute name="toPath">
<xsl:value-of select="@dstFilePath"/>
</xsl:attribute>
</xsl:if>
</copyWspSrcNode>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText>
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:attribute name="toPath">
<xsl:value-of select="@dstFilePath"/>
</xsl:attribute>
</xsl:if>
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:concatFile">
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="{@dstFilePath}" checkAutoMultiRes="true" append="true" appendPreChars="&#10;"/>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText toPath="{@dstFilePath}" append="true" appendPreChars="&#10;">
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tResolvePropertyValue">
<xsl:param name="pTargetFilePath" select="'/file.dat'"/>
<xsl:param name="pResourcesDirPath" select="'/skres'"/>
<xsl:choose>
<xsl:when test="@format='refItem'">
<xsl:variable name="vResPathInSkin">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@value))">
<xsl:variable name="vSrcUri" select="srcFields(resolveSrcPath(@value), 'srcUri')"/>
<xsl:variable name="vDstPath" select="concat($pResourcesDirPath, '/', alphaHash($vSrcUri) , '_', extractFileNameFromPath($vSrcUri))"/>
<xsl:value-of select="$vDstPath"/>
<xsl:variable name="vResolveFrag">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="{$vDstPath}" checkAutoMultiRes="true"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gResolveFragsSet, $vResolveFrag))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@defaultValue"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="java:com.scenari.src.feature.paths.SrcFeaturePaths.buildRelativePathBetween2Uri(        if(starts-with($pTargetFilePath, '/'), substring-after($pTargetFilePath, '/'),$pTargetFilePath),        true(),        if(starts-with($vResPathInSkin, '/'),  substring-after($vResPathInSkin, '/'), $vResPathInSkin))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="returnFirst(@value, @defaultValue)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

		<xsl:template match="text()" mode="mkProps"/><xsl:template match="*" mode="mkProps"><xsl:apply-templates mode="mkProps"/></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOpenP/sp:options" mode="mkProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:fontsize" mode="mkProps">
<property key="fontsize" sgn="@fontsize" defaultValue="11" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:dpi/sp:dpiHigh" mode="mkProps">
<property key="dpiHigh" sgn="@dpiHigh#dpi" defaultValue="300" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:dpi/sp:dpiLow" mode="mkProps">
<property key="dpiLow" sgn="@dpiLow#dpi" defaultValue="92" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:dpiText/sp:dpiTextHigh" mode="mkProps">
<property key="dpiTextHigh" sgn="@dpiTextHigh#dpiText" defaultValue="400" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:dpiText/sp:dpiTextLow" mode="mkProps">
<property key="dpiTextLow" sgn="@dpiTextLow#dpiText" defaultValue="150" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:size/sp:width" mode="mkProps">
<property key="width" sgn="@width#size" defaultValue="14" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:size/sp:height" mode="mkProps">
<property key="height" sgn="@height#size" defaultValue="23" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeRes/sp:widthRes" mode="mkProps">
<property key="widthRes" sgn="@widthRes#sizeRes" defaultValue="7" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeRes/sp:heightRes" mode="mkProps">
<property key="heightRes" sgn="@heightRes#sizeRes" defaultValue="7" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeLogo/sp:widthLogo" mode="mkProps">
<property key="widthLogo" sgn="@widthLogo#sizeLogo" defaultValue="7" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeLogo/sp:heightLogo" mode="mkProps">
<property key="heightLogo" sgn="@heightLogo#sizeLogo" defaultValue="5" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeGal/sp:widthGal" mode="mkProps">
<property key="widthGal" sgn="@widthGal#sizeGal" defaultValue="4" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeGal/sp:heightGal" mode="mkProps">
<property key="heightGal" sgn="@heightGal#sizeGal" defaultValue="5" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeInline/sp:widthInline" mode="mkProps">
<property key="widthInline" sgn="@widthInline#sizeInline" defaultValue="10" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:sizeInline/sp:heightInline" mode="mkProps">
<property key="heightInline" sgn="@heightInline#sizeInline" defaultValue="2" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:postscriptum/sp:psAvoidBreaksAfterColon" mode="mkProps">
<property key="psAvoidBreaksAfterColon" sgn="@psAvoidBreaksAfterColon#postscriptum" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsP/sp:postscriptum/sp:psAvoidBreaksAfterStrongPara" mode="mkProps">
<property key="psAvoidBreaksAfterStrongPara" sgn="@psAvoidBreaksAfterStrongPara#postscriptum" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/>
</xsl:stylesheet>