<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:ops="utc.fr:ics/opale3/styler" xmlns:java="http://xml.apache.org/xslt/java" xmlns:stx="scenari.eu:styler.ext:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="ops stx sp " >
<xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vSrcNode"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gResolveFragsSet" select="java:java.util.HashSet.new()"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gDicUnitsSet" select="java:java.util.HashSet.new()"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:item">
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:sunriseSOpen">
<copyWspSrcNode refUri="/~data/UzF2SqCO5jfJYB3k3uHL0f.doss"/>
<xsl:apply-templates/>
<xsl:for-each select="xalan:nodeset($gResolveFragsSet)">
<xsl:copy-of select="."/>
</xsl:for-each>
<xsl:variable name="vDicUnitsSetNS" select="xalan:nodeset($gDicUnitsSet)"/>
<localizer startIdentifier="§§" endIdentifier="§§">
<xsl:if test="count($vDicUnitsSetNS)">
<simpleDictionary>
<xsl:for-each select="$vDicUnitsSetNS">
<xsl:copy-of select="."/>
</xsl:for-each>
</simpleDictionary>
</xsl:if>
</localizer>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:css">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="/skin.css" checkAutoMultiRes="true" append="true" appendPreChars="&#10;"/>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText toPath="/skin.css" append="true" appendPreChars="&#10;">
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:js">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="/skin.js" checkAutoMultiRes="true" append="false" appendPreChars="&#10;"/>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText toPath="/skin.js" append="false" appendPreChars="&#10;">
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:propsOpen">
<xsl:variable name="vProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:variable>
<xsl:if test="$vProps">
<xsl:variable name="vPropsNS" select="xalan:nodeset($vProps)"/>
<xsl:for-each select="$vPropsNS/*[@value or @defaultValue]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="''"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
</xsl:call-template>
</xsl:variable>
<xsl:variable name="vUnitTag">
<unit source="{@key}" target="{$vValue}"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gDicUnitsSet, $vUnitTag))"/>
</xsl:for-each>
<xsl:for-each select="$vPropsNS/*[@key='favicon'][1]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="'img/favicon.png'"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
<xsl:with-param name="pIgnoreDefault" select="true()"/>
</xsl:call-template>
</xsl:variable>
<xsl:if test="@format='refItem' and not(isWhiteSpace($vValue))">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="img/favicon.png" checkAutoMultiRes="true"/>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:res">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="/res" checkAutoMultiRes="false" append="false" appendPreChars="&#10;"/>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:addFile">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<xsl:variable name="vSrcUri" select="java:com.scenari.src.feature.ids.SrcFeatureIds.getRefUri(resolveSrcPath(@sc:refUri))"/>
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" checkAutoMultiRes="true">
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:attribute name="toPath">
<xsl:value-of select="@dstFilePath"/>
</xsl:attribute>
</xsl:if>
</copyWspSrcNode>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText>
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:attribute name="toPath">
<xsl:value-of select="@dstFilePath"/>
</xsl:attribute>
</xsl:if>
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:concatFile">
<xsl:if test="not(isWhiteSpace(@dstFilePath))">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@sc:refUri))">
<copyWspSrcNode refUri="{@sc:refUri};transform=facet&amp;facet=resolveRes" toPath="{@dstFilePath}" checkAutoMultiRes="true" append="true" appendPreChars="&#10;"/>
</xsl:when>
<xsl:when test="not(isWhiteSpace(.))">
<copyText toPath="{@dstFilePath}" append="true" appendPreChars="&#10;">
<xsl:value-of select="."/>
</copyText>
</xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tResolvePropertyValue">
<xsl:param name="pTargetFilePath" select="'/file.dat'"/>
<xsl:param name="pResourcesDirPath" select="'/skres'"/>
<xsl:choose>
<xsl:when test="@format='refItem'">
<xsl:variable name="vResPathInSkin">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@value))">
<xsl:variable name="vSrcUri" select="srcFields(resolveSrcPath(@value), 'srcUri')"/>
<xsl:variable name="vDstPath" select="concat($pResourcesDirPath, '/', alphaHash($vSrcUri) , '_', extractFileNameFromPath($vSrcUri))"/>
<xsl:value-of select="$vDstPath"/>
<xsl:variable name="vResolveFrag">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="{$vDstPath}" checkAutoMultiRes="true"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gResolveFragsSet, $vResolveFrag))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@defaultValue"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="java:com.scenari.src.feature.paths.SrcFeaturePaths.buildRelativePathBetween2Uri(        if(starts-with($pTargetFilePath, '/'), substring-after($pTargetFilePath, '/'),$pTargetFilePath),        true(),        if(starts-with($vResPathInSkin, '/'),  substring-after($vResPathInSkin, '/'), $vResPathInSkin))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="returnFirst(@value, @defaultValue)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

		<xsl:template match="text()" mode="mkProps"/><xsl:template match="*" mode="mkProps"><xsl:apply-templates mode="mkProps"/></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOpenS/sp:favicon" mode="mkProps">
<property key="favicon" sgn="@favicon" format="refItem">
<xsl:attribute name="value">
<xsl:value-of select="@sc:refUri"/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOpenS/sp:options" mode="mkProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsS/sp:prefixExerciseTitle" mode="mkProps">
<property key="prefixExerciseTitle" sgn="@prefixExerciseTitle" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsS/sp:metaRobots" mode="mkProps">
<property key="metaRobots" sgn="@metaRobots" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/>
</xsl:stylesheet>